Bug 827418 - Saving a BPMN asset that has no end point creates a dead asset
Saving a BPMN asset that has no end point creates a dead asset
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Sona Mala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 08:20 EDT by Toni Rikkola
Modified: 2013-10-07 19:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, it was not possible to save process models that did not include an end node. This prevented users from saving process models that were incomplete. The issues has been resolved by adding support for saving partial process models. Users are now able to save incomplete process models.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Rikkola 2012-06-01 08:20:50 EDT
Description of problem:
Using the web bpmn editor for creating a process. I forgot to add the end point and clicked save. Now I can't save the asset second time and I can't open it.


Version-Release number of selected component (if applicable):


How reproducible:
Easy


Steps to Reproduce:
1. Create a BPMN Asset
2. Add start point
3. Add XOR gateway
4. Save

You can't save again. Close the tab, try to open and it gives "	
400 Sorry, a technical error occurred. Please contact a system administrator."
  
Actual results:
The asset becomes a dead asset.

Expected results:
Prevent save if the content is broken or ignore that it is broken when opening it.

Additional info:
Comment 1 Tihomir Surdilovic 2012-06-01 09:40:01 EDT
Hi Toni, can you tell me what Guvnor and Designer versions you are testing with? With the latest I am not able to reproduce this issue and a process (incomplete) with a start node connected to a XOR gateway saves fine without issues. So do most of incomplete process models as well.
Comment 4 Tihomir Surdilovic 2012-08-26 15:56:12 EDT
Fix checked into Guvnor 5.3.x branch for BRMS 5.3.1
Comment 5 Sona Mala 2012-09-12 08:24:09 EDT
verified for 5.3.1 ER1:
 - Process with 2 nodes (start node, gateway node) is possible save more than once, and if this asset is closed than is possible to open it.

Note You need to log in before you can comment on or make changes to this bug.